# SetNAGKey & SetNAGURL

Once the library is correctly included, it's the time to set the URL and key of the NAG (Network Access Gateway) used to interact with Circular.

```typescript
Circular.SetNAGKey([your key]);
Circular.SetNAGURL([NAG URL]);
```

You can locate the URLs for native NAGs in our SDK documentation. As for third-party NAGs, we plan to provide a list in the future. If you're planning to use the SandBox blockchain for testing purposes, feel free to use an empty ("") NAG key.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/typescript/setnagkey-and-setnagurl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
